KToggleToolBarAction class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KToggleToolBarAction Class Reference

An action that takes care of everything associated with showing or hiding a toolbar by a menu action. More...

`#include <kaction.h>`

Inheritance diagram for KToggleToolBarAction:

[legend]
Collaboration diagram for KToggleToolBarAction:

[legend]
List of all members.

## Public Slots
virtual void | setChecked (bool)
| Sets the state of the action.
## Public Member Functions
| KToggleToolBarAction (const char *toolBarName, const QString &text, KActionCollection *parent, const char *name)
| Create a KToggleToolbarAction that manages the toolbar named toolBarName.
| KToggleToolBarAction (KToolBar *toolBar, const QString &text, KActionCollection *parent, const char *name)
virtual int | plug (QWidget *, int index=-1)
| "Plug" or insert this action into a given widget.
KToolBar * | toolBar ()
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

An action that takes care of everything associated with showing or hiding a toolbar by a menu action.

It will show or hide the toolbar with the given name when activated, and check or uncheck itself if the toolbar is manually shown or hidden.

If you need to perfom some additional action when the toolbar is shown or hidden, connect to the toggled(bool) signal. It will be emitted after the toolbar's visibility has changed, whenever it changes.

Since:
  3.1

Definition at line 1659 of file kaction.h.

## Constructor & Destructor Documentation

KToggleToolBarAction::KToggleToolBarAction | ( | const char * | toolBarName,
|  | const QString & | text,
|  | KActionCollection * | parent,
|  | const char * | name
| ) |

| Create a KToggleToolbarAction that manages the toolbar named toolBarName. This can be either the name of a toolbar in an xml ui file, or a toolbar programmatically created with that name. Definition at line 2848 of file kaction.cpp. References KStdAccel::name().

## Member Function Documentation

int KToggleToolBarAction::plug | ( | QWidget * | ,
|  | int | index = -1
| ) | `[virtual]`

  | "Plug" or insert this action into a given widget. This will typically be a menu or a toolbar. From this point on, you will never need to directly manipulate the item in the menu or toolbar. You do all enabling/disabling/manipulation directly with your KToggleAction object. Parameters:
  widget | The GUI element to display this action.
  index | The index of the item.
Reimplemented from KToggleAction. Definition at line 2867 of file kaction.cpp. References QObject::connect(), QWidget::isDialog(), QObject::name(), QWidget::parentWidget(), KToggleAction::plug(), setChecked(), KAction::setEnabled(), and KMainWindow::toolBar().

void KToggleToolBarAction::setChecked | ( | bool |  | ) | `[virtual, slot]`

| Sets the state of the action. Reimplemented from KToggleAction. Definition at line 2897 of file kaction.cpp. References KToggleAction::setChecked(). Referenced by plug().

The documentation for this class was generated from the following files:

- kaction.h
- kaction.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:05:04 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001